Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader.access
Class WriteDeviceOpReport

    java.lang.Object
      com.connecterra.ale.reader.access.DeviceOpReport
          com.connecterra.ale.reader.access.FieldDeviceOpReport
              com.connecterra.ale.reader.access.WriteDeviceOpReport

    public class WriteDeviceOpReport

extends com.connecterra.ale.reader.access.FieldDeviceOpReport

Report from a tag write operation. It consists of an OpStatus, and the the data written to the tag.

Constructor Summary
`WriteDeviceOpReport(OpStatus status)` Creates a new `WriteDeviceOpReport` instance.
`WriteDeviceOpReport(OpStatus status, long[] data)` Creates a new `WriteDeviceOpReport` instance.
`WriteDeviceOpReport(OpStatus status, long msWord, long lsWord)` Creates a new `WriteDeviceOpReport` instance.

Method Summary

Methods inherited from class com.connecterra.ale.reader.access.FieldDeviceOpReport
`getField, setField`

Methods inherited from class com.connecterra.ale.reader.access.DeviceOpReport
`opStatusToPCStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteDeviceOpReport

    public WriteDeviceOpReport(OpStatus status,
                               long[] data)

  Creates a new `WriteDeviceOpReport` instance.

  Parameters:
    `status` - the write operation's `OpStatus` value
    `data` - a `long[]` value containing the data written to the tag.

### WriteDeviceOpReport

    public WriteDeviceOpReport(OpStatus status,
                               long msWord,
                               long lsWord)

  Creates a new `WriteDeviceOpReport` instance. This is a convenience method which behaves identically to `WriteDeviceOpReport(status, new long[] { msWord, lsWord })`.

  Parameters:
    `status` - the write operation's `OpStatus` value
    `msWord` - a `long` value containing the most significant word of the data written
    `lsWord` - a `long` value containing the least significant word of the data written

### WriteDeviceOpReport

    public WriteDeviceOpReport(OpStatus status)

  Creates a new `WriteDeviceOpReport` instance. This method should be used to provide an error code with no data when the write fails.

  Parameters:
    `status` - an `OpStatus` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD